Commit 241ba887 authored by Nigel Kukard's avatar Nigel Kukard

Fixed missing requirement on List::MoreUtils

parent 6ef7fb46
......@@ -26,13 +26,16 @@ package AWIT::CertMaster;
use strict;
use warnings;
use List::MoreUtils qw( any none );
our $VERSION = '1.02';
BEGIN {
# Check List::MoreUtils
if (!eval {require List::MoreUtils; 1;}) {
print STDERR "You're missing List::MoreUtils, try 'apt-get install liblist-moreutils-perl'\n";
exit 1;
}
List::MoreUtils->import(qw( none any ));
# Check DateTime
if (!eval {require DateTime; 1;}) {
print STDERR "You're missing DateTime, try 'apt-get install libdatetime-perl'\n";
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment